package request

// FeCalendarMatterListReq 事项列表请求体
type FeCalendarMatterListReq struct {
	ChartPermissionId int    `form:"chart_permission_id" json:"chart_permission_id" description:"品种ID"`
	StartDate         string `form:"start_date" json:"start_date" description:"开始日期"`
	EndDate           string `form:"end_date" json:"end_date" description:"结束日期"`
}

// FeCalendarMatterDetailReq 事项详情请求体
type FeCalendarMatterDetailReq struct {
	ChartPermissionId int    `form:"chart_permission_id" json:"chart_permission_id" description:"品种ID"`
	MatterDate        string `form:"matter_date" json:"matter_date" description:"事项日期"`
}

// FeCalendarLastestPermissionMonthReq 获取品种有数据最近的月份
type FeCalendarLastestPermissionMonthReq struct {
	ChartPermissionId int `form:"chart_permission_id" json:"chart_permission_id" description:"品种ID"`
}
