package request

type RddpReportShareImgReq struct {
	Source          string `description:"来源" json:"source"`
	Pars            string `description:"动态信息-JSON格式" json:"pars"`
	ReportId        int    `description:"报告ID" json:"report_id"`
	ReportChapterId int    `description:"报告章节ID" json:"report_chapter_id"`
	Version         string `description:"版本号" json:"version"`
}

type WechatWarningReq struct {
	Content string `description:"预警信息" json:"content"`
}

// ViewLogUpdateReq 更新访问日志请求体
type ViewLogUpdateReq struct {
	Id          int `json:"id" description:"日志ID"`
	StopSeconds int `json:"stop_seconds" description:"访问时长"`
	Source      int `json:"source" description:"来源:1-问答社区; 2-语音播报; 3-视频社区; 4-路演视频..."`
}

type ReportChapterSetReq struct {
	TypeId  uint64 `json:"type_id"`
	IsClose uint64 `json:"is_close" description:"是否关闭:1,关闭,0:不关闭"`
}

type BannerMarkReq struct {
	BannerUrl    string `json:"banner_url"`
	FirstSource  int    `json:"first_source" description:"一级来源 1小程序移动 2小程序pc 3研报官网"`
	SecondSource int    `json:"second_source" description:"二级来源 1首页 2研报详情页"`
	Id           int    `json:"id" description:"banner id"`
}
