package daily_base_column

import "time"

type DailyBaseColumn struct {
	BaseColumnId int `gorm:"column:base_column_id" db:"base_column_id" json:"base_column_id" form:"base_column_id"`
	TableName1 string `gorm:"column:table_name" db:"table_name" json:"table_name" form:"table_name"`
	BaseColumnName string `gorm:"column:base_column_name" db:"base_column_name" json:"base_column_name" form:"base_column_name"` //基础列名称
	BaseColumnChapterType string `gorm:"column:base_column_chapter_type" db:"base_column_chapter_type" json:"base_column_chapter_type" form:"base_column_chapter_type"` //基础列类型
	BaseColumnTicker string `gorm:"column:base_column_ticker" db:"base_column_ticker" json:"base_column_ticker" form:"base_column_ticker"`
	Enabled int8 `gorm:"column:enabled" db:"enabled" json:"enabled" form:"enabled"`
	CreatedTime time.Time `gorm:"column:created_time" db:"created_time" json:"created_time" form:"created_time"` //创建时间
	LastUpdatedTime int64 `gorm:"column:last_updated_time" db:"last_updated_time" json:"last_updated_time" form:"last_updated_time"`
	Freq string `gorm:"column:freq" db:"freq" json:"freq" form:"freq"`
	Catalog string `gorm:"column:catalog" db:"catalog" json:"catalog" form:"catalog"`
	ReportChapterTypeId int64 `gorm:"column:report_chapter_type_id" db:"report_chapter_type_id" json:"report_chapter_type_id" form:"report_chapter_type_id"` //分类id
}

func (d *DailyBaseColumn) TableName() string  {
	return "daily_base_column"
}
