package user_access_record

import "time"

type UserAccessRecord struct {
	Id              int `gorm:"column:id" db:"id" json:"id" form:"id"`
	Uid             int `gorm:"column:uid" db:"uid" json:"uid" form:"uid"`
	Token           string `gorm:"column:token" db:"token" json:"token" form:"token"`
	ReportId        int `gorm:"column:report_id" db:"report_id" json:"report_id" form:"report_id"`
	CreateTime      time.Time `gorm:"column:create_time" db:"create_time" json:"create_time" form:"create_time"`
	Remark          string `gorm:"column:remark" db:"remark" json:"remark" form:"remark"`
	ReportChapterId int `gorm:"column:report_chapter_id" db:"report_chapter_id" json:"report_chapter_id" form:"report_chapter_id"` //章节ID
}

// TableName get sql table name.获取数据库表名
func (ua *UserAccessRecord) TableName() string {
	return "user_access_record"
}